Subject: Re: [Sidrops] WGLC for draft-ietf-sidrops-ov-clarify-00

From: Randy Bush <[email-masked]>
Date: Mon, 02 Apr 2018 15:55:53 -0700

>  “This means that, on a router, all routes in BGP, absent operator
>    configuration otherwise, MUST have been marked because they were
>    either received via BGP (whether eBGP or iBGP), redistributed from
>    an IGP, static, or directly connected, or any other distribution
>    into BGP.
> 
>    When redistributing into BGP from connected, static, IGP, iBGP,
>    etc., there is no AS_PATH in the input to allow RPKI validation of
>    the originating AS.  In such cases, the router SHOULD use the AS of
>    the router's BGP configuration.”
> 
> In a situation where internal more specific routes are redistributed
> into iBGP for use internal to the AS, but summarized into an aggregate
> before being originated in eBGP, and the ROA for the eBGP aggregate is
> set tight (e.g., equal to the aggregate length), how do we suggest
> this is to be handled?
> 
> For example I use /24s internally, but only originate a /16
> externally, and have a ROA with MaxLength=16.  Without further
> configuration/action this would result in the internal /24s would be
> marked Invalid, but clearly I don’t want them to be deprefed or
> dropped.
> 
> The choices seem to be that I have the ability to write route policy
> that exempts local routes from the an overall policy (e.g., drop
> invalid, unless it is a locally generated iBGP route), or I create
> SLURM entries to make the /24s valid, only in my AS, but not in the
> public RPKI data?  Either of these choices has some configuration
> complexity.
> 
> Are there other ways of handling this.  Do implementations provide
> enough policy knobs to allow me to apply OV policies to some iBGP
> routes, but not others (e.g., locally originated)?

yes, per-prefix configyration seems to work on the implementations i
have used.

randy